package com.cityguide;

import android.app.Activity;

import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageButton;




public class Restaurants_european_price extends Activity {  
	
	@Override
	public void onConfigurationChanged(Configuration newConfig) {
	super.onConfigurationChanged(newConfig);
	}
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.restaurants_european_price); 
	
    

    final ImageButton index = (ImageButton) findViewById(R.id.logodown);
    index.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openIndexActivity();
        }
    });
    
    final ImageButton train = (ImageButton) findViewById(R.id.train);
    train.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openTram_mapActivity();
         }
     });
    
    final ImageButton bus = (ImageButton) findViewById(R.id.bus);
    bus.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openBus_mapActivity();
         }
     });
    
	final ImageButton hospoda = (ImageButton) findViewById(R.id.hospoda);
    hospoda.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openR_hospodaActivity();
        }
    });
    
    final ImageButton jardin = (ImageButton) findViewById(R.id.jardin);
    jardin.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openR_jardinActivity();
        }
    });
    
    final ImageButton artemis = (ImageButton) findViewById(R.id.artemis);
    artemis.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openR_artemisActivity();
        }
    });
    
    final ImageButton pireus = (ImageButton) findViewById(R.id.pireus);
    pireus.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openR_pireusActivity();
        }
    });
    
    final ImageButton bernardino = (ImageButton) findViewById(R.id.bernardino);
    bernardino.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openR_bernardinoActivity();
        }
    });
    
    final ImageButton donatello = (ImageButton) findViewById(R.id.donatello);
    donatello.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openR_donatelloActivity();
        }
    });
    
    final ImageButton tapas = (ImageButton) findViewById(R.id.tapas);
    tapas.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openR_tapasActivity();
        }
    });
    
    
    
}
	
	private void openIndexActivity() {
    	startActivity(new Intent(this,Index.class));
    }
	
	private void openTram_mapActivity() {
    	startActivity(new Intent(this,Tram_map.class));
    }
    
    private void openBus_mapActivity() {
    	startActivity(new Intent(this,Bus_map.class));
    }
	
	private void openR_hospodaActivity() {
    	startActivity(new Intent(this,R_hospoda.class));
    }
	
	private void openR_jardinActivity() {
    	startActivity(new Intent(this,R_jardin.class));
    }
	
	private void openR_artemisActivity() {
    	startActivity(new Intent(this,R_artemis.class));
    }
	
	private void openR_pireusActivity() {
    	startActivity(new Intent(this,R_pireus.class));
    }
	
	private void openR_bernardinoActivity() {
    	startActivity(new Intent(this,R_bernardino.class));
    }
	
	private void openR_donatelloActivity() {
    	startActivity(new Intent(this,R_donatello.class));
    }
	
	private void openR_tapasActivity() {
    	startActivity(new Intent(this,R_tapas.class));
    }
}